core::UDPSocket Class Reference

`#include <UDPSocket.h>`

Inheritance diagram for core::UDPSocket:
[legend]
Collaboration diagram for core::UDPSocket:
[legend]

## Public Member Functions

| UDPSocket (EPoll &ePoll)
| ~UDPSocket ()
Public Member Functions inherited from core::Socket
| Socket (EPoll &ePoll, std::string text="")
| ~Socket ()
void | shutdown (std::string text="unknown")
void | setDescriptor (int descriptor)
| Set the descriptor for the socket. More...
int | getDescriptor ()
| Get the descriptor for the socket. More...
bool | eventReceived (struct epoll_event event)
| Parse epoll event and call specified callbacks. More...
int | write (std::string data)
void | write (char *buffer, int length)
void | output (std::stringstream &out)
virtual void | onRegister ()
| Called before the socket has registered with the epoll processing. More...
virtual void | onRegistered ()
| Called after the socket has been registered with epoll processing. More...
virtual void | onUnregister ()
virtual void | onUnregistered ()
| Called when the socket has finished unregistering for the epoll processing. More...
bool | needsToWrite ()

## Additional Inherited Members

Public Attributes inherited from core::Socket
bool | reset = false
Public Attributes inherited from core::Object
std::string | name
std::string | tag
Protected Member Functions inherited from core::Socket
void | setBufferSize (int length)
int | getBufferSize ()
virtual void | onDataReceived (std::string data)
| Called when data is received from the socket. More...
virtual void | onDataReceived (char *buffer, int len)
virtual void | receiveData (char *buffer, int bufferLength)
Protected Attributes inherited from core::Socket
EPoll & | ePoll
bool | shutDown = false

## Constructor & Destructor Documentation

## UDPSocket()

core::UDPSocket::UDPSocket | ( | EPoll & | ePoll | ) |

## ~UDPSocket()

core::UDPSocket::~UDPSocket | ( |  | ) |

The documentation for this class was generated from the following files:

- UDPSocket.h
- UDPSocket.cpp